Index: client_app/src/components/filter/search.js
===================================================================
--- client_app/src/components/filter/search.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/filter/search.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -96,6 +96,6 @@
 
                 {formData.items.map((item,index) => {
-                    return (item.skillsTrained && <Internships key={item.id} index={index} item={item} />)
-                        || (<Jobs key={item.id} index={index} item={item} />)
+                    return (item.skillsTrained && <Internships key={item.id} index={index} item={item} search={true}/>)
+                        || (<Jobs key={item.id} index={index} item={item} search={true}/>)
                 })}
             </Container>
Index: client_app/src/components/item_components/internship_component.js
===================================================================
--- client_app/src/components/item_components/internship_component.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/item_components/internship_component.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -4,8 +4,10 @@
 
 const Internships = (props) => {
+    console.log(props.item);
+
     return(
         <Segment>
             <Header as="h3">{props.item.title}</Header>
-            {props.item.type!=="USER" ? <Button primary as={Link} to={{
+            {!props.search ? <Button primary as={Link} to={{
                 pathname: "/edit/internship",
                 state: {
Index: client_app/src/components/item_components/job_component.js
===================================================================
--- client_app/src/components/item_components/job_component.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/item_components/job_component.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -7,5 +7,5 @@
         <Segment>
             <Header as="h3">{props.item.title}</Header>
-            {props.item.accountType!=="USER" ? <Button primary as={Link} to={{
+            {!props.search ? <Button primary as={Link} to={{
                 pathname: "/edit/job",
                 state: {
Index: client_app/src/components/item_components/project_component.js
===================================================================
--- client_app/src/components/item_components/project_component.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/item_components/project_component.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -8,5 +8,5 @@
         <Segment>
             <Header as="h3">{props.item.title}</Header>
-            {props.item.type!=="USER" ? <Button primary as={Link} to={{
+            {!props.search ? <Button primary as={Link} to={{
                 pathname: "/edit/project",
                 state: {
Index: client_app/src/components/template/header.js
===================================================================
--- client_app/src/components/template/header.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/template/header.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -7,5 +7,5 @@
     if(props.accType == null){
         return(
-            <Menu inverted>
+            <Menu stackable>
                 <MenuItem>
                     <div className="ui mini image">
@@ -30,5 +30,5 @@
         if(props.accType==="COMPANY"){
             return(
-                <Menu inverted>
+                <Menu stackable>
                     <MenuItem>
                         <div className="ui mini image">
@@ -52,5 +52,5 @@
         }else if(props.accType==="TEAM"){
             return(
-                <Menu inverted>
+                <Menu stackable>
                     <MenuItem>
                         <div className="ui mini image">
@@ -74,5 +74,5 @@
         }else if(props.accType==="USER"){
             return(
-                <Menu inverted>
+                <Menu stackable>
                     <MenuItem>
                         <div className="ui mini image">
Index: client_app/src/components/work/user_internships.js
===================================================================
--- client_app/src/components/work/user_internships.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/work/user_internships.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -12,4 +12,5 @@
                 {props.userProfile.internships.map((item, index) =>{
                     return <Internships
+                        search={true}
                         key={item.id}
                         index={index}
Index: client_app/src/components/work/user_jobs.js
===================================================================
--- client_app/src/components/work/user_jobs.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/work/user_jobs.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -13,4 +13,5 @@
                     {props.userProfile.jobs.map((item, index) =>{
                         return <Jobs
+                            search={true}
                             key={item.id}
                             index={index}
Index: client_app/src/components/work/user_projects.js
===================================================================
--- client_app/src/components/work/user_projects.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/src/components/work/user_projects.js	(revision bf9486e09a84a28a0a93da576677eb31d10c48c7)
@@ -12,4 +12,5 @@
                     {props.userProfile.projects.map((item,index) =>{
                         return <Projects
+                            search={true}
                             key={item.id}
                             index={index}
